Page MenuHomePhabricator

Notifications popup renders twice in unknown conditions
Closed, ResolvedPublic

Description

I don’t have full information on the causes of this, but sometimes Echo notifications render twice for me: one popup is in top left (and it stays permanently until you click away), the other − under the icon (shown while you are on top of the page). I’ve seen this twice already, but I can’t reproduce it after it happens.

As you can see, this is not specific to one type of alerts.

Browser information: Firefox 57, Windows 8.1, touch enabled.

Details

Related Gerrit Patches:
mediawiki/extensions/Echo : masterPrevent double-clicking on badge when initializing

Event Timeline

stjn created this task.Jan 14 2018, 9:54 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJan 14 2018, 9:54 PM

It's hard to trace this without more detail, and I can't manage to reproduce this.

@stjn, if this happens again, can you try and open your console (for Firefox, that would be Ctrl+Shift+K) and copy/paste any warnings or errors that you see in there?

I've faced this a few times as well. Using Safari. I've not seen any warnings or errors when this happens. I'll try to write the steps to reproduce when it happens again but so far it's happened pretty randomly.

Etonkovidova added a subscriber: Etonkovidova.EditedFeb 23 2018, 9:03 PM

Yes, it's hard to reproduce it - but I just got double echo notification panel with double-click on notification badge (ruwiki wmf.21).

However, trying to repeat it with a different user in the same browser tab does not re-produce the issue.

To reproduce the issue again - open another tab for another wiki (the same user). Or use another user in a different tab.

I double clicked on Notices and got the Double Trouble. But you're right: you can see this doubling only once. Even after reloading the page, when I double-click again, the panel works properly.

Change 413883 had a related patch set uploaded (by Mooeypoo; owner: Mooeypoo):
[mediawiki/extensions/Echo@master] Prevent double-clicking on badge when initializing

https://gerrit.wikimedia.org/r/413883

Change 413883 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Prevent double-clicking on badge when initializing

https://gerrit.wikimedia.org/r/413883

Etonkovidova closed this task as Resolved.Feb 26 2018, 9:36 PM

Checked the fix in betalabs and added the task to my list of fixes to check in wmf.23.